DewaVPS

Get public networks

GET
/network/public/reserved

Retrieve a paginated list of your reserved public network IP addresses.

Authorization

ApiKeyAuth
x-apikey<token>

In: header

Query Parameters

limit?integer

Limit response data

page?integer

Page number

Response Body

application/json

curl -X GET "https://api.dewavps.com/v1/network/public/reserved"
{
  "message": "Public Network",
  "data": {
    "data": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "ip_address": "string",
        "instance": {
          "id": "string",
          "hostname": "string"
        },
        "location": {
          "id": 0,
          "name": "string"
        },
        "price_per_hour": "string",
        "est_this_month_price": 0,
        "cost": 0,
        "created_at": "string"
      }
    ],
    "page": {
      "total": 0,
      "count": 0,
      "per_page": 0,
      "current_page": 0,
      "total_pages": 0
    }
  }
}